#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: foldl
version: 1.4.2
id: foldl-1.4.2-JKCB0c8CjmDJOftHWJN073
key: foldl-1.4.2-JKCB0c8CjmDJOftHWJN073
license: BSD-3-Clause
copyright: 2013 Gabriel Gonzalez
maintainer: Gabriel439@gmail.com
author: Gabriel Gonzalez
synopsis: Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.
category: Control
abi: 1247527a5d5507a1a9b950de7221b5fc
exposed: True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl
hidden-modules: Control.Foldl.Internal
import-dirs: /usr/lib/ghc-8.4.3/site-local/foldl-1.4.2
library-dirs: /usr/lib/ghc-8.4.3/site-local/foldl-1.4.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/foldl-1.4.2
hs-libraries: HSfoldl-1.4.2-JKCB0c8CjmDJOftHWJN073
depends:
    base-4.11.1.0 bytestring-0.10.8.2
    mwc-random-0.14.0.0-4vkPmaLMizhfhWgfiCDmx
    primitive-0.6.4.0-39Pwmm1zkQX6bM7xFUT3Jc text-1.2.3.0
    transformers-0.5.5.0 vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq
    containers-0.5.11.0
    unordered-containers-0.2.9.0-4xkK4TVeOzU5CT7vUnH40Y
    hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg
    contravariant-1.5-HWHOmzUIRDZBjbL8Fw1HTI
    profunctors-5.3-IgECUkHj2LhJdroAs5SPJF
    semigroupoids-5.3.1-GSqAErYrQXPJ6o7TiDrxrJ
    comonad-5.0.4-1EfSpa6AA5U3LtobVlqSjD
    vector-builder-0.3.4.1-4FiQrKHaXou1LmReqDxyAD
abi-depends: base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             bytestring-0.10.8.2=76943c00398d547fb172e56c2f93c635
             mwc-random-0.14.0.0-4vkPmaLMizhfhWgfiCDmx=6d2cec4e79757179ac76182a812819a8
             primitive-0.6.4.0-39Pwmm1zkQX6bM7xFUT3Jc=a76404d2410541ab4c0cf63ee4e3a316
             text-1.2.3.0=be4c3e1c57cff1d501eb0e876706a48d
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
             vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq=2d4c17574909e037fa0256847c747647
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             unordered-containers-0.2.9.0-4xkK4TVeOzU5CT7vUnH40Y=35805d13add6a65c87fb8fb413d93b58
             hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg=ad8d36b5596969152937469512f0d3b1
             contravariant-1.5-HWHOmzUIRDZBjbL8Fw1HTI=745e81e7e3650c93ab38811415728ba3
             profunctors-5.3-IgECUkHj2LhJdroAs5SPJF=27920699c0331e1500e4159f354cda5a
             semigroupoids-5.3.1-GSqAErYrQXPJ6o7TiDrxrJ=32760aa5f22be0ff83685760532ed5ea
             comonad-5.0.4-1EfSpa6AA5U3LtobVlqSjD=bee891a03b83d11cad862c41f78926bb
             vector-builder-0.3.4.1-4FiQrKHaXou1LmReqDxyAD=5876f6700498cafbdba25ac14af68c93
haddock-interfaces: /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html: /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

